import { FileType } from 'ant-design-vue/es/upload/interface';
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    fileList: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<FileType[]>, unknown, unknown, () => any[], boolean>;
    disabled: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    operateStyle: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "button" | "drag" | "card", unknown, string, boolean>;
    listType: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "picture" | "text" | "picture-card", unknown, string, boolean>;
    uploadIcon: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, string, boolean>;
    uploadIconSize: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, number, boolean>;
    uploadTitle: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, string, boolean>;
    uploadTip: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, string, boolean>;
    accept: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, string, boolean>;
    imgSize: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, number, boolean>;
    beforeUpload: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<(file: FileType, FileList: FileType[]) => (string | boolean | void | Blob | FileType) | Promise<string | boolean | void | Blob | FileType>>, unknown, unknown, () => true, boolean>;
}>, {
    attrs: import("vue").Attrs;
    bem: {
        b: (blockSuffix?: string) => string;
        e: (element?: string) => string;
        m: (modifier?: string) => string;
        be: (blockSuffix?: string, element?: string) => string;
        em: (element: string, modifier: string) => string;
        bm: (blockSuffix: string, modifier: string) => string;
        bem: (blockSuffix: string, element: string, modifier: string) => string;
        is: (name?: string) => string;
    };
    props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
        fileList: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<FileType[]>, unknown, unknown, () => any[], boolean>;
        disabled: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
        operateStyle: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "button" | "drag" | "card", unknown, string, boolean>;
        listType: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "picture" | "text" | "picture-card", unknown, string, boolean>;
        uploadIcon: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, string, boolean>;
        uploadIconSize: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, number, boolean>;
        uploadTitle: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, string, boolean>;
        uploadTip: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, string, boolean>;
        accept: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, string, boolean>;
        imgSize: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, number, boolean>;
        beforeUpload: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<(file: FileType, FileList: FileType[]) => (string | boolean | void | Blob | FileType) | Promise<string | boolean | void | Blob | FileType>>, unknown, unknown, () => true, boolean>;
    }>> & Readonly<{
        onChange?: (...args: any[]) => any;
        "onUpdate:fileList"?: (...args: any[]) => any;
    }> & {}>;
    emits: (event: "change" | "update:fileList", ...args: any[]) => void;
    rejectUid: import("vue").Ref<string[], string[]>;
    currentFileList: import("vue").WritableComputedRef<FileType[], FileType[]>;
    beforeUpload: (file: FileType, fileList: FileType[]) => Promise<void>;
    handleChange: ({ fileList, }: {
        file: FileType;
        fileList: FileType[];
    }) => void;
    currentListType: import("vue").ComputedRef<import("ll-plus/es/utils").EpPropMergeType<StringConstructor, "picture" | "text" | "picture-card", unknown>>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("change" | "update:fileList")[], "change" | "update:fileList", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    fileList: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<FileType[]>, unknown, unknown, () => any[], boolean>;
    disabled: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    operateStyle: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "button" | "drag" | "card", unknown, string, boolean>;
    listType: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "picture" | "text" | "picture-card", unknown, string, boolean>;
    uploadIcon: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, string, boolean>;
    uploadIconSize: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, number, boolean>;
    uploadTitle: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, string, boolean>;
    uploadTip: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, string, boolean>;
    accept: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, string, boolean>;
    imgSize: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, number, boolean>;
    beforeUpload: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<(file: FileType, FileList: FileType[]) => (string | boolean | void | Blob | FileType) | Promise<string | boolean | void | Blob | FileType>>, unknown, unknown, () => true, boolean>;
}>> & Readonly<{
    onChange?: (...args: any[]) => any;
    "onUpdate:fileList"?: (...args: any[]) => any;
}>, {
    disabled: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    accept: string;
    beforeUpload: (file: FileType, FileList: FileType[]) => (string | boolean | void | Blob | FileType) | Promise<string | boolean | void | Blob | FileType>;
    fileList: FileType[];
    listType: import("ll-plus/es/utils").EpPropMergeType<StringConstructor, "picture" | "text" | "picture-card", unknown>;
    uploadTitle: string;
    uploadTip: string;
    uploadIcon: string;
    uploadIconSize: number;
    imgSize: number;
    operateStyle: import("ll-plus/es/utils").EpPropMergeType<StringConstructor, "button" | "drag" | "card", unknown>;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
